Package org.apache.lucene.analysis.el

# Class GreekAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.StopwordAnalyzerBase
org.apache.lucene.analysis.el.GreekAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class GreekAnalyzer extends StopwordAnalyzerBase
`Analyzer` for the Greek language.

Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Since:
  3.1

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_STOPWORD_FILE`
File containing default Greek stopwords.

### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

`stopwords`

### Fields inherited from class org.apache.lucene.analysis.Analyzer

`GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

## Constructor Summary

Constructors
Constructor
Description
`GreekAnalyzer()`
Builds an analyzer with the default stop words.
`GreekAnalyzer(CharArraySet stopwords)`
Builds an analyzer with the given stop words.

## Method Summary

Modifier and Type
Method
Description
`protected Analyzer.TokenStreamComponents`
`createComponents(String fieldName)`
Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static final CharArraySet`
`getDefaultStopSet()`
Returns a set of default Greek-stopwords
`protected TokenStream`
`normalize(String fieldName, TokenStream in)`

### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

`getStopwordSet, loadStopwordSet, loadStopwordSet`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_STOPWORD_FILE

public static final String DEFAULT_STOPWORD_FILE
File containing default Greek stopwords.

See Also:
  - Constant Field Values

## Constructor Details

### GreekAnalyzer

public GreekAnalyzer()
Builds an analyzer with the default stop words.

### GreekAnalyzer

public GreekAnalyzer(CharArraySet stopwords)
Builds an analyzer with the given stop words.

NOTE: The stopwords set should be pre-processed with the logic of `GreekLowerCaseFilter` for best results.

Parameters:
  `stopwords` - a stopword set

## Method Details

### getDefaultStopSet

public static final CharArraySet getDefaultStopSet()
Returns a set of default Greek-stopwords

Returns:
  a set of default Greek-stopwords

### createComponents

protected Analyzer.TokenStreamComponents createComponents(String fieldName)
Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

Specified by:
  `createComponents` in class `Analyzer`
Returns:
  `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `GreekLowerCaseFilter`, `StopFilter`, and `GreekStemFilter`

### normalize

protected TokenStream normalize(String fieldName, TokenStream in)

Overrides:
  `normalize` in class `Analyzer`